package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class GgAnalyseReportFacdeFactory
{
    private GgAnalyseReportFacdeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("84B18420") ,com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("84B18420") ,com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("84B18420"));
    }
    public static com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgAnalyseReportFacde)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("84B18420"));
    }
}